## ocaml-conduit 0.5.0

=== Makefile ===
.PHONY: all install clean

all:
	@./build.sh

install:
	@./build.sh true

clean:
	rm -rf _build

=== debian/changelog ===
ocaml-conduit (0.5.0-1) UNRELEASED; urgency=low

  * Initial package

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Fri, 02 May 2014 12:00:00 +0000

=== debian/control ===
Source: ocaml-conduit
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 libsexplib-camlp4-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 python,
 debhelper (>= 8),
 ocaml-findlib,
 ocaml-native-compilers,
 liblwt-ocaml-dev

Package: ocaml-conduit
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml network conduit library
 The conduit library takes care of establishing and listening for TCP
 and SSL/TLS connections for the Lwt and Async libraries.
 .
 The reason this library exists is to provide a degree of abstraction
 from the precise SSL library used, since there are a variety of ways
 to bind to a library (e.g. the C FFI, or the Ctypes library), as well
 as well as which library is used (just OpenSSL for now).

Package: ocaml-conduit-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 ocaml-conduit (>= 0.5.0-1)
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-conduit
 The ocaml-conduit-devel package contains libraries and signature
 files for developing applications that use ocaml-conduit.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/ocaml-conduit/usr/lib/ocaml/conduit/*.a
	rm -f debian/ocaml-conduit/usr/lib/ocaml/conduit/*.cmxa
	rm -f debian/ocaml-conduit/usr/lib/ocaml/conduit/*.cmx

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:

## ocaml-conduit 4.0.2

=== debian/changelog ===
ocaml-conduit (4.0.2-3build2) jammy; urgency=medium

  * No-change rebuild for new ocaml ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 25 Feb 2022 22:45:33 +0000

ocaml-conduit (4.0.2-3build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 Jan 2022 11:30:30 +0100

ocaml-conduit (4.0.2-3) unstable; urgency=medium

  * Fix FTBFS on bytecode architectures (Closes: #1003741)
  * Build conduit-lwt-unix

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jan 2022 22:17:37 +0100

ocaml-conduit (4.0.2-2) unstable; urgency=medium

  * List all copyright holders in debian/copyright

 -- Stéphane Glondu <glondu@debian.org>  Sun, 26 Dec 2021 08:26:06 +0100

ocaml-conduit (4.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #1001143)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 05 Dec 2021 16:48:54 +0100

=== debian/control ===
Source: ocaml-conduit
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml-nox,
 ocaml-dune,
 libppx-sexp-conv-ocaml-dev,
 libsexplib-ocaml-dev,
 libastring-ocaml-dev,
 liburi-ocaml-dev,
 liblogs-ocaml-dev,
 libipaddr-ocaml-dev,
 liblwt-ocaml-dev,
 liblwt-ssl-ocaml-dev,
 libca-certs-ocaml-dev,
 dh-ocaml
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/mirage/ocaml-conduit
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-conduit.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-conduit

Package: libconduit-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: network connection establishment library for OCaml (dev)
 The conduit library takes care of establishing and listening for TCP
 and SSL/TLS connections for the Lwt and Async libraries.
 .
 The reason this library exists is to provide a degree of abstraction
 from the precise SSL library used, since there are a variety of ways
 to bind to a library (e.g. the C FFI, or the Ctypes library), as well
 as well as which library is used (just OpenSSL for now).
 .
 By default, OpenSSL is used as the preferred connection library, but
 you can force the use of the pure OCaml TLS stack by setting the
 environment variable CONDUIT_TLS=native when starting your program.
 .
 This package contains development files.

Package: libconduit-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: network connection establishment library for OCaml (runtime)
 The conduit library takes care of establishing and listening for TCP
 and SSL/TLS connections for the Lwt and Async libraries.
 .
 The reason this library exists is to provide a degree of abstraction
 from the precise SSL library used, since there are a variety of ways
 to bind to a library (e.g. the C FFI, or the Ctypes library), as well
 as well as which library is used (just OpenSSL for now).
 .
 By default, OpenSSL is used as the preferred connection library, but
 you can force the use of the pure OCaml TLS stack by setting the
 environment variable CONDUIT_TLS=native when starting your program.
 .
 This package contains the shared runtime libraries.

Package: libconduit-lwt-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: network connection establishment library for Lwt (dev)
 The conduit library takes care of establishing and listening for TCP
 and SSL/TLS connections for the Lwt and Async libraries.
 .
 The reason this library exists is to provide a degree of abstraction
 from the precise SSL library used, since there are a variety of ways
 to bind to a library (e.g. the C FFI, or the Ctypes library), as well
 as well as which library is used (just OpenSSL for now).
 .
 By default, OpenSSL is used as the preferred connection library, but
 you can force the use of the pure OCaml TLS stack by setting the
 environment variable CONDUIT_TLS=native when starting your program.
 .
 This package contains development files for Lwt.

Package: libconduit-lwt-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: network connection establishment library for Lwt (runtime)
 The conduit library takes care of establishing and listening for TCP
 and SSL/TLS connections for the Lwt and Async libraries.
 .
 The reason this library exists is to provide a degree of abstraction
 from the precise SSL library used, since there are a variety of ways
 to bind to a library (e.g. the C FFI, or the Ctypes library), as well
 as well as which library is used (just OpenSSL for now).
 .
 By default, OpenSSL is used as the preferred connection library, but
 you can force the use of the pure OCaml TLS stack by setting the
 environment variable CONDUIT_TLS=native when starting your program.
 .
 This package contains the shared runtime libraries for Lwt.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_clean:
	dune clean
	rm -rf _tmp

override_dh_auto_build:
	rm -rf _tmp
	OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune build -p conduit
	dune install --destdir=$(CURDIR)/_tmp --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) conduit
	OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune build -p conduit-lwt
	dune install --destdir=$(CURDIR)/_tmp --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) conduit-lwt
	OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune build -p conduit-lwt-unix
	dune install --destdir=$(CURDIR)/_tmp --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) conduit-lwt-unix

override_dh_auto_test:
	OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune runtest -p conduit
	OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune runtest -p conduit-lwt
	OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune runtest -p conduit-lwt-unix

override_dh_auto_install:
	rm -rf debian/tmp
	cp -a $(CURDIR)/_tmp debian/tmp
	for u in conduit-lwt-unix; do rm -rf $(DESTDIR)/usr/doc/$$u; done
	rm -rf debian/tmp/usr/doc/*/LICENSE*

## ocaml-conduit 6.2.0

=== debian/changelog ===
ocaml-conduit (6.2.0-3) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Depend on ocaml instead of transitional ocaml-nox

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 10 Sep 2023 05:38:16 +0200

ocaml-conduit (6.2.0-2) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Mon, 07 Aug 2023 05:04:11 +0200

ocaml-conduit (6.2.0-1) unstable; urgency=medium

  * Team upload.
  * Fix d/watch.
  * Bump Standards-Version to 4.6.2.
  * New upstream release.
  * Fix compilation with recent dune

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 09:26:26 +0200

=== debian/watch ===
version=4
https://github.com/mirage/ocaml-conduit/tags .*/v?([\d\.]+)\.tar\.gz

## ocaml-conduit 6.2.1

=== Makefile ===
.PHONY: build clean test doc

build:
	dune build

test:
	dune runtest

clean:
	dune clean

doc:
	dune build @doc

=== debian/changelog ===
ocaml-conduit (6.2.1-1build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Feb 2024 19:41:17 +0100

ocaml-conduit (6.2.1-1build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Feb 2024 07:58:40 +0100

ocaml-conduit (6.2.1-1build1) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:28:20 +0100

ocaml-conduit (6.2.1-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Feb 2024 07:49:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: ocaml-conduit
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune,
  libppx-sexp-conv-ocaml-dev,
  libsexplib-ocaml-dev,
@@ -18,8 +17,8 @@
  liblwt-ocaml-dev,
  liblwt-ssl-ocaml-dev,
  libca-certs-ocaml-dev,
- dh-ocaml
-Standards-Version: 4.6.0
+ dh-ocaml (>= 1.2.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/mirage/ocaml-conduit
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-conduit.git

## ocaml-conduit 6.2.2

=== debian/changelog ===
ocaml-conduit (6.2.2-1build3) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Jun 2024 06:55:02 +0200

ocaml-conduit (6.2.2-1build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Jun 2024 10:50:44 +0200

ocaml-conduit (6.2.2-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Jun 2024 09:52:19 +0200

ocaml-conduit (6.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Jun 2024 20:15:31 +0200

## ocaml-conduit 7.1.0

=== tests/conduit-mirage/Makefile ===
all: http-server-unix http-fetch-unix vchan-client-xen vchan-server-xen
	@

http-server-unix:
	cd http-server && mirage configure -t unix && make

http-fetch-unix:
	cd http-fetch && mirage configure -t unix && make

vchan-client-xen:
	cd vchan && mirage configure -f config_client.ml -t xen && make

vchan-server-xen:
	cd vchan && mirage configure -f config_server.ml -t xen && make

=== debian/changelog ===
ocaml-conduit (7.1.0-1build10) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Oct 2025 22:50:29 +0200

ocaml-conduit (7.1.0-1build9) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 21:22:14 +0200

ocaml-conduit (7.1.0-1build8) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 18:37:36 +0200

ocaml-conduit (7.1.0-1build7) questing; urgency=medium

  * Rebuild against latest ocaml libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 May 2025 22:13:03 -0400

ocaml-conduit (7.1.0-1build6) plucky; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Mar 2025 18:46:49 +0100

ocaml-conduit (7.1.0-1build5) plucky; urgency=medium

  * No change rebuild against new OCAML ABIs

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Mar 2025 09:53:08 +0100

ocaml-conduit (7.1.0-1build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 22:11:39 +0100

ocaml-conduit (7.1.0-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jan 2025 09:28:24 +0100

ocaml-conduit (7.1.0-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:43:45 +0100

ocaml-conduit (7.1.0-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2025 19:04:06 +0100

ocaml-conduit (7.1.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 24 Sep 2024 09:20:48 +0200

ocaml-conduit (6.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 13 Jul 2024 08:56:53 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  ocaml,
  ocaml-dune,
  libppx-sexp-conv-ocaml-dev,
- libsexplib-ocaml-dev,
+ libsexplib0-ocaml-dev,
  libastring-ocaml-dev,
  liburi-ocaml-dev,
  liblogs-ocaml-dev,
@@ -18,7 +18,7 @@
  liblwt-ssl-ocaml-dev,
  libca-certs-ocaml-dev,
  dh-ocaml (>= 1.2.2)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/mirage/ocaml-conduit
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-conduit.git

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/mirage/ocaml-conduit/releases?per_page=50 \
https://github.com/mirage/ocaml-conduit/releases/download/[^/]+/conduit-@ANY_VERSION@.tbz
